Subject: APPN/HPR over ATM LLC Implementation

From: "jim (j.) cobban" <[email-masked]>
Date: Wed, 22 Nov 1995 12:40:00 -0500

I have been considering the impact of the current proposals for implementing
the LLC layer for HPR over ATM in the light of the ATM-FR interworking
specification in ITU-TS I.555 and FRF.8.  I believe that

  1) The current design direction as specified here either precludes the
     introduction of such a FR/ATM interworking function for HPR, or, at the
     very least makes such an interworking function excessively expensive to
     implement.
  2) The current design direction increases the development effort for HPR
     end nodes which must implement a different LLC layer for ATM than the
     one they have already implemented for Frame-Relay and LANs.
  3) As discussed at the last AIW, the current design direction complicates
     the effort of negotiating to support of ISR over ATM if that is
     considered desireable by our customers.

I would therefore propose that HPR over ATM use the same LLC encapsulation as
HPR over Frame-Relay.  That is XIDs would be identified with L2 protocol ID
4C80 with an LLC header of 04-04-BF, the XID_DONE_RQ would have an LLC header
of 04-04-7F and XID_DONE_RSP would have an LLC header of 04-04-73.  The
omission of subfield 0x80 of control vector 0x61, or its presence with a SAP
value of 0xC8, on the XID exchange would negotiate the use of L2 protocol ID
0x5081 for HPR NLPs.

Perhaps Rao Cherukuri could explain to this forum the justification for using
an NLPID of 0x09 for ATM where Frame-Relay used 0x08.  It seems to me
excessively pedantic to distinguish between Q.931 and Q.2931 where all that
we are pulling from those specifications is a couple of protocol identifiers
which are the same in both documents.  I would therefore propose as an AIW
contribution to the ATM Forum that NLPID 0x08 should be used for both
Frame-Relay and ATM.